## thumbor-plugins-gifv 0.1.4

=== Makefile ===
setup:
	@pip install -e .[tests]

test_%:
	@docker build -t $* -f thumbor_plugins/optimizers/$*/tests/docker/Dockerfile .
	docker run --rm -v$(CURDIR):/app $* /bin/bash -c "pip install -r test_requirements.txt && pip install -e thumbor_plugins/optimizers/$* && pytest --cov=thumbor_plugins.optimizers.$* thumbor_plugins/optimizers/$*/tests"

test_unit:
	pytest -s `find . -type d -name 'unit' | tr "\n" " "`

=== debian/changelog ===
thumbor-plugins-gifv (0.1.4-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 04 Feb 2024 23:15:46 -0300

thumbor-plugins-gifv (0.1.4-1) unstable; urgency=medium

  [ Raphael Rossi ]
  * Initial version (Closes: #1054456)

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 07 Nov 2023 12:04:32 -0300

=== debian/control ===
Source: thumbor-plugins-gifv
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Felipe Travi <fbtravi@hotmail.com>,
           Leandro Felicio <leandro_feliciobr@hotmail.com>,
           Marcelo Jorge Vieira <metal@debian.org>,
           Pedro Paulo <pedropaulojr.10@gmail.com>,
           Raphael Rossi <me@raphaelrossi.io>
Section: python
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-webcolors,
Homepage: https://github.com/thumbor/thumbor-plugins
Vcs-Git: https://salsa.debian.org/python-team/packages/thumbor-plugins-gifv.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/thumbor-plugins-gifv
Rules-Requires-Root: no

Package: python3-thumbor-plugins-gifv
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Thumbor optimizer to add support to Gifv(mp4)
 This package is part of the thumbor-plugins repository.
 For more information, visit: https://github.com/thumbor/thumbor-plugins

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=thumbor-plugins-gifv

BASE_PATH:=$(CURDIR)/thumbor_plugins/optimizers/gifv

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=$(BASE_PATH)

override_dh_auto_test:
	echo "pass"

override_dh_clean:
	rm -rf $(BASE_PATH)/thumbor_plugins_gifv.egg-info
	dh_clean

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(.*)\.tar\.gz/thumbor-plugins-gifv.*-$1.tar.gz/" \
  https://github.com/thumbor/thumbor-plugins/tags (?:.*/thumbor-plugins-gifv.*-)?v?(\d[\d\.]*)\.tar\.gz
